@font-face {
    font-family: Helvetica;
    src: url("../assets/fonts/Helvetica/fonts/ttc/variable.ttc");
}

@font-face {
    font-family: HelveticaNeue;
    src: url("../assets/fonts/HelveticaNeue/fonts/ttc/variable.ttc");
}

@font-face {
    font-family: ClashDisplay;
    src: url("../assets/fonts/ClashDisplay/fonts/ttf/variable.ttf");
}

@font-face {
    font-family: NotoSans;
    src: url("../assets/fonts/NotoSans/fonts/ttf/regular.ttf");
}

:root {
    --color-01: #12492E;
    --color-02: #FFC001;
    --color-03: #FFFFFF;
    --color-04: #606C38;
    --color-05: rgba(96, 108, 56, 0.2);
    --color-05: rgba(0, 0, 0, 0.2);
    --color-06: rgba(255, 255, 255, 0.6);
    --color-07: #f9f9f9;
    --color-08: #171e31;
    --color-09: #111216;
    --color-10: #11aa00;
    --color-11: #f87676;

    --radius-s: 16px;
    --radius-m: 24px;
    --radius-l: 32px;

    --font-size-xs: 12px;
    --font-size-s: 14px;
    --font-size-m: 16px;
    --font-size-l: 22px;
    --font-size-xl: 28px;
    --font-size-xxl: 32px;
    --font-size-xxxl: 48px;

    --space-xxxs: 2px;
    --space-xxs: 4px;
    --space-xs: 8px;
    --space-s: 12px;
    --space-m: 20px;
    --space-l: 24px;
    --space-xl: 28px;
    --space-xxl: 36px;
    --space-xxxl: 40px;

    --transition-01: 0.2s;
    --transition-02: 0.4s;
    --transition-03: 0.8s;
    --transition-04: 1.2s;
}

::selection {
    color: #FFFFFF;

    background-color: var(--color-01);
    
    text-shadow: none;
}

::-webkit-selection {
    color: #FFFFFF;

    background-color: var(--color-01);
    
    text-shadow: none;
}

::-moz-selection {
    color: #FFFFFF;

    background-color: var(--color-01);
    
    text-shadow: none;
}

::placeholder {
    color: var(--color-06);

    opacity: 1;
}

:-ms-input-placeholder {
    color: var(--color-06);
}
  
::-ms-input-placeholder {
    color: var(--color-06);
}

* {
    font-family: ClashDisplay, Helvetica, NotoSans, Arial, sans-serif;
    font-weight: 300;

    letter-spacing: 1.2px;

    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

*::-webkit-scrollbar,
*::-webkit-scrollbar-track,
*::-webkit-scrollbar-thumb,
*::-webkit-scrollbar-button {
    display: none;
}

html {
    height: 100%;

    overflow-x: hidden;
    
    scroll-behavior: smooth;
}

body {
    height: 100%;

    background-color: #121212;

    margin: 0;

    overflow-x: hidden;
}

main {
    width: 100%;
    height: 100%;

    position: relative;

    z-index: 3;

    overflow-x: hidden;
    overflow-y: auto;
}

h1 {
    color: var(--color-03);
    color: rgba(255, 255, 255, 0.8);

    line-height: 1.2;

    margin: 0;
}

h2 {
    color: var(--color-03);
    color: rgba(255, 255, 255, 0.8);

    /* font-weight: 600; */

    line-height: 1.4;

    margin: 0;
}

h3, h4, h5, h6 {
    color: var(--color-03);
    color: rgba(255, 255, 255, 0.8);

    font-size: var(--font-size-m);
    /* font-weight: 400; */

    line-height: 1.6;

    margin: 0;
}

p {
    color: var(--color-03);
    color: rgba(255, 255, 255, 0.8);

    font-size: var(--font-size-m);
    /* font-weight: 400; */

    line-height: 1.6;

    margin: 0;
}

span {
    color: var(--color-03);
    color: rgba(255, 255, 255, 0.8);

    font-size: var(--font-size-m);
    /* font-weight: 400; */

    line-height: 1.6;
}

a {
    color: var(--color-03);
    color: rgba(255, 255, 255, 0.8);

    font-size: var(--font-size-m);
    /* font-weight: 400; */
    
    line-height: 1.6;

    text-decoration: none;
}

a:focus {
	outline: none !important;
}

a:hover {
	text-decoration: none;
}

b {
    font-weight: 800;
}

select {
    color: var(--color-06);
    
    cursor: pointer;
    
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}

input {
    font-size: var(--font-size-m);
}

input[type="submit"] {
    cursor: pointer;

    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}

button {
    border: none;

    color: rgba(255, 255, 255, 0.8);
    
    background: none;

    font-size: var(--font-size-m);

    padding: 0;

    margin: 0;

    cursor: pointer;
}

ul {
    padding: 0;

    margin: 0;

    list-style: none;
}

ol {
    padding: 0;

    margin: 0;

    list-style: none;
    list-style-position: inside
}

li {
    color: var(--color-07);

    font-size: var(--font-size-m);
    font-weight: 400;
    
    line-height: 1.6;
}

img {
    object-fit: cover;
    object-position: center;
}

video {
    object-fit: cover;
    object-position: center;
}

@media (max-width: 1280px) {
    
}

@media (max-width: 1024px) {
    body::-webkit-scrollbar {
        display: none;
    }
}

@media (max-width: 768px) {
    :root {
        --font-size-m: 16px;
        --font-size-l: 20px;
        
        --space-xxl: 32px;
        --space-xxxl: 32px;
    }
}

@media (max-width: 480px) {
    :root {
        --font-size-xl: 24px;
    }
}